Summary: A web indexing and searching system for a small domain or intranet
Name: htdig
Version: 3.1.5
Release: 5
License: GPL
Group: Networking/Utilities
BuildRoot: %{_tmppath}/htdig-root
Source0: http://www.htdig.org/files/htdig-%{PACKAGE_VERSION}.tar.bz2
Patch0: htdig-3.1.3-conf.patch
Patch1: htdig-3.1.5-encoding.patch
Patch2: htdig-3.1.5-htsearch-cparam.patch
URL: http://www.htdig.org/
Prefix: %{_prefix}

%define contentdir /var/www

%description
The ht://Dig system is a complete world wide web indexing and searching
system for a small domain or intranet. This system is not meant to replace
the need for powerful internet-wide search systems like Lycos, Infoseek,
Webcrawler and AltaVista. Instead it is meant to cover the search needs for
a single company, campus, or even a particular sub section of a web site.

As opposed to some WAIS-based or web-server based search engines, ht://Dig
can span several web servers at a site. The type of these different web
servers doesn't matter as long as they understand the HTTP 1.0 protocol.

%prep
%setup -q -n htdig-%{PACKAGE_VERSION}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} \
	--bindir=%{_sbindir} --libexec=%{_libdir} --libdir=%{_libdir} \
	--mandir=%{_mandir} --sysconfdir=%{_sysconfdir}/htdig \
	--localstatedir=%{_var}/lib/htdig \
	--with-image-dir=%{contentdir}/html/htdig \
	--with-cgi-bin-dir=%{contentdir}/cgi-bin \
	--with-search-dir=%{contentdir}/html
make

%install

rm -rf $RPM_BUILD_ROOT

make INSTALL_ROOT=$RPM_BUILD_ROOT install-strip
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
ln -s ../../usr/sbin/rundig $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/htdig-dbgen
ln -s ../../../../usr/doc/htdig-%{PACKAGE_VERSION} \
	$RPM_BUILD_ROOT%{contentdir}/html/htdig/htdoc

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Only run this if installing for the first time
if [ "$1" = 1 ]; then
	SERVERNAME="`grep '^ServerName' %{_sysconfdir}/httpd/conf/httpd.conf | awk 'NR == 1 {print $2}'`"
	[ -z "$SERVERNAME" ] && SERVERNAME="`hostname -f`"
	[ -z "$SERVERNAME" ] && SERVERNAME="localhost"
	echo "start_url:	http://$SERVERNAME/
local_urls:	http://$SERVERNAME/=%{contentdir}/html/
local_user_urls:	http://$SERVERNAME/=/home/,/public_html/" >> %{_sysconfdir}/htdig/htdig.conf

fi

%files
%defattr(-,root,root)
%config %{_sysconfdir}/htdig/htdig.conf
%config %{_sbindir}/rundig
%config %{contentdir}/html/search.html
%{_sysconfdir}/cron.daily/htdig-dbgen
%{_sbindir}/htdig
%{_sbindir}/htfuzzy
%{_sbindir}/htmerge
%{_sbindir}/htnotify
%{_var}/lib/htdig
%{contentdir}/cgi-bin/htsearch
%{contentdir}/html/htdig

%doc CONFIG README htdoc/*

%changelog
* Tue Jan 29 2002 Peter Hanecak <hanecak@megaloman.sk>
- s/Copyright/License

* Tue Oct  9 2001 Peter Hanecak <hanecak@megaloman.sk>
- patch from Geoff Hutchison <ghutchis@wso.williams.edu> used to close
  potential remote exposure and denial of service regarding -c parameter

* Thu Sep  7 2000 Peter Hanecak <hanecak@megaloman.sk>
- spec improvements

* Sat Feb 26 2000 Peter Hanecak <hanecak@megaloman.sk>
- updated to 3.1.5
- .bz2 source archive

* Tue Nov  2 1999 Peter Hanecak <hanecak@megaloman.sk>
- my encoding patch applied

* Wed Oct  6 1999 Gilles Detillieux <grdetil@scrc.umanitoba.ca>
  - updated to version 3.1.3 final release
  - bumped to release 1, included patch for FAQ typo

* Mon Jun  7 1999 Gilles Detillieux <grdetil@scrc.umanitoba.ca>
  - fixed %post script to use only first ServerName directive in httpd.conf

* Thu Feb  4 1999 Gilles Detillieux <grdetil@scrc.umanitoba.ca>
  - put web stuff back in /home/httpd/html & /home/httpd/cgi-bin, so it can
	go over a standard Apache installation on Red Hat
  - cleaned up %install to make use of new features

* Thu Feb 4 1999 Ric Klaren <klaren@telin.nl>
  - changed buildroot stuff
  - minor spec file fixes
  - install web stuff in /home/httpd/htdig
  - made rundig config file

* Tue Sep 22 1998 Gilles Detillieux <grdetil@scrc.umanitoba.ca>
  - Added local_urls stuff to generated htdig.conf file

* Fri Sep 18 1998 Gilles Detillieux <grdetil@scrc.umanitoba.ca>
  - Built the rpm from latest htdig source (3.1.0b1), using earlier
    versions of rpms by Mihai Ibanescu <misa@dntis.ro> and Elliot Lee
    <sopwith@cuc.edu> as a model, incorporating ideas from both.  I've
    made the install locations as FSSTND compliant as I can think of.

